Is it safe to remove support for ES5?

Hi, I built an app for iOS and Android and I saw that in the www folder there are files for ES5 and ES2015.
Is it safe to change the Angular configuration for building just for the new ES2015? Does files for ES5 are necessary if building a native app and not a PWA?

I only found this article that recommends to do it in order to decrease the build size and nowhere else: https://medium.com/@Vieltrinker/quick-wins-for-your-ionic-angular-app-8a3765df026e

He says: “Fortunately, we don’t even need to ship an ES5 bundle because mobile browsers have great support for ES2015”

Is it true? Can I safely remove support for ES5 and it will work on any iOS and Android device?

Thanks

1 Like